Inbound Messages
Get Inbound Message by Sid
Returns the specified Inbound Message information.
AuthorizationBasic <token>
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Path Parameters
sid*string
Inbound Message Sid.
Match
^(IM)[0-9a-f]{48}$Query Parameters
IncludeFees?boolean
If true, fees are included into the result.
IncludeConversationMetadata?boolean
If true, conversation metadata is included into the result.
Response Body
curl -X GET "https://example.com/v1/InboundMessages/string"{ "sid": "IM99d9812a055b3da13d3faa216fcf4574b64b19be32626243", "from": "+19876543210", "to": "+12145678900", "additionalRecipients": [ "+12145678900", "+12145678901" ], "text": "string", "mediaUrls": [ "string" ], "createdOn": "2023-09-09T15:00:00.000Z", "segmentCount": 0, "conversationMetadata": "string", "fees": { "platformFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ], "passThroughFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ] }, "brandSid": "string", "campaignSid": "string", "messagingConfigSid": "string"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}{ "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4", "title": "Not found", "status": 404, "detail": "Not found detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}List Inbound Messages GET
Gets the list of all Inbound Messages, optionally filtered by parameters. This method supports pagination.
Create Messaging Config POST
Creates new Messaging Config with the options specified in the request. If callback URLs are not specified for a particular event, the callbacks for that event would not be sent.